using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("隐患整改通知附件")]
    public class T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_FILE : MesEntityBase
    {
        /// <summary>
        /// 隐患整改通知
        /// </summary>
        [Description("隐患整改通知")]
        [DataFieldForeignKey("Nav_Rectify", "Nav_RectifyFiles")]
        public Guid HIDDEN_DANGER_RECTIFY_NOTICE_ID { get; set; }

        /// <summary>
        /// 导航：隐患整改通知
        /// </summary>
        [Description("导航：隐患整改通知")]
        public virtual T_SK_HIDDEN_DANGER_RECTIFY_NOTICE Nav_Rectify { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
